### Method

# Gdk Surface get_width

#### Declaration [src]

    int
    gdk_surface_get_width (
      GdkSurface* surface
    )

#### Description [src]

Returns the width of the given `surface`.

Surface size is reported in ”application pixels”, not ”device pixels” (see `gdk_surface_get_scale_factor()`).

Gets property | `Gdk.Surface:width`

#### Return value

Type: `int`

The width of `surface`.